Change log for libreoffice package in Ubuntu

175 of 187 results
Published in artful-proposed on 2017-07-20
libreoffice (1:5.3.4-0ubuntu1) artful; urgency=medium

  * New upstream release: 5.3.4
  * debian/rules: temporarily ignore unit test failures on i386 (LP: #1700692)

 -- Olivier Tilloy <email address hidden>  Thu, 13 Jul 2017 18:30:32 +0200
Superseded in artful-proposed on 2017-07-20
libreoffice (1:5.3.3-0ubuntu2) artful; urgency=medium

  * No-change rebuild against latest hunspell

 -- Jeremy Bicha <email address hidden>  Tue, 20 Jun 2017 13:56:45 -0400

Available diffs

  • diff from 1:5.3.3-0ubuntu1 to 1:5.3.3-0ubuntu2 (pending)
Published in artful-release on 2017-06-08
Deleted in artful-proposed (Reason: moved to release)
libreoffice (1:5.3.3-0ubuntu1) artful; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release: 5.3.3
  * debian/tests/patches/java-subsequentcheck-standalone.diff: refreshed
  * debian/control.in: move fonts-open-sans from recommends to suggests,
    as it is in universe

  [ Rene Engelhard ]
  * debian/patches/help-msg-add-package-info.diff,
    debian/patches/mention-java-common-package.diff,
    debian/patches/mediawiki-oor-replace.diff,
    debian/patches/series: actually update the patches and re-enable...

  * debian/control.in:
    - recommend new fonts-open-sans

 -- Olivier Tilloy <email address hidden>  Tue, 06 Jun 2017 20:58:57 +0200
Published in trusty-updates on 2017-05-02
Published in trusty-security on 2017-05-02
libreoffice (1:4.2.8-0ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in tools::Polygon::Insert function
    - debian/patches/CVE-2017-7870.patch: check if ImplSplit succeeded in
      tools/inc/poly.h, tools/source/generic/poly.cxx.
    - CVE-2017-7870

 -- Marc Deslauriers <email address hidden>  Fri, 28 Apr 2017 10:47:51 -0400
Published in xenial-updates on 2017-05-02
Published in xenial-security on 2017-05-02
libreoffice (1:5.1.6~rc2-0ubuntu1~xenial2) xenial-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in ReadEnhWMF function
    - debian/patches/CVE-2016-10327.patch: add check to
      vcl/source/filter/wmf/enhwmf.cxx.
    - CVE-2016-10327
  * SECURITY UPDATE: out-of-bounds write in tools::Polygon::Insert function
    - debian/patches/CVE-2017-7870.patch: check if ImplSplit succeeded in
      tools/inc/poly.h, tools/source/generic/poly.cxx.
    - CVE-2017-7870

 -- Marc Deslauriers <email address hidden>  Fri, 28 Apr 2017 09:51:22 -0400

Available diffs

Published in yakkety-updates on 2017-05-02
Published in yakkety-security on 2017-05-02
libreoffice (1:5.2.2-0ubuntu2.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write in ReadEnhWMF function
    - debian/patches/CVE-2016-10327.patch: add check to
      vcl/source/filter/wmf/enhwmf.cxx.
    - CVE-2016-10327
  * SECURITY UPDATE: out-of-bounds write in tools::Polygon::Insert function
    - debian/patches/CVE-2017-7870.patch: check if ImplSplit succeeded in
      tools/inc/poly.h, tools/source/generic/poly.cxx.
    - CVE-2017-7870

 -- Marc Deslauriers <email address hidden>  Fri, 28 Apr 2017 09:35:52 -0400
Superseded in artful-release on 2017-06-08
Published in zesty-release on 2017-03-23
Deleted in zesty-proposed (Reason: moved to release)
libreoffice (1:5.3.1-0ubuntu2) zesty; urgency=medium

  [ Bjoern Michaelsen ]
  * cherry-picking fixes from Debian
  * l10n: depend >= instead of = from -lang to -common:
    - should still be enough to prevent premature promotion
    - but should allow skipping superfluous compatible -l10n rebuilds

  [ Rene Engelhard ]
  * debian/rules:
    - move /usr/include/libreoffice/sal/typesizes.h symlink to -dev
      instead of -dev-common (closes: #858199)

 -- Bjoern Michaelsen <email address hidden>  Mon, 20 Mar 2017 13:48:22 +0100
Superseded in zesty-proposed on 2017-03-20
libreoffice (1:5.3.1-0ubuntu1) zesty; urgency=medium

  * new upstream release
  * dont modify generated files in SCM, also dont store generated files in SCM,
    do "readd ant" in source file instead of the generated one (which will get
    overwritten)
  * version lock -l10ns to -common to prevent premature promotion

 -- Bjoern Michaelsen <email address hidden>  Thu, 16 Mar 2017 11:32:20 +0100
Published in precise-updates on 2017-02-23
Published in precise-security on 2017-02-23
libreoffice (1:3.5.7-0ubuntu13) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary file read via link update
    - debian/patches/olefix.diff
    - CVE-2017-3157

 -- Bjoern Michaelsen <email address hidden>  Mon, 20 Feb 2017 19:52:34 +0100
Superseded in trusty-updates on 2017-05-02
Superseded in trusty-security on 2017-05-02
libreoffice (1:4.2.8-0ubuntu5) trusty-security; urgency=medium

  * SECURITY UPDATE: arbitrary file read via link update
    - debian/patches/olefix.diff
    - CVE-2017-3157

 -- Bjoern Michaelsen <email address hidden>  Mon, 21 Nov 2016 13:37:38 +0100

Available diffs

Superseded in zesty-release on 2017-03-23
Deleted in zesty-proposed on 2017-04-07 (Reason: moved to release)
libreoffice (1:5.3.0~rc3-0ubuntu2) zesty; urgency=medium

  * (re-)add ant and ant-optional dependency for autopkgtests
  * Dont have Recommends: on firebird when building w/o firebird

 -- Bjoern Michaelsen <email address hidden>  Tue, 14 Feb 2017 03:48:41 +0100
Superseded in zesty-proposed on 2017-02-14
libreoffice (1:5.3.0~rc3-0ubuntu1) zesty; urgency=medium

  * remove spurious suggests from -common to -human
  * add (empty) -human transitional, remove -breeze dupe Suggest

Superseded in zesty-release on 2017-02-17
Deleted in zesty-proposed on 2017-02-18 (Reason: moved to release)
libreoffice (1:5.2.2-0ubuntu4) zesty; urgency=medium

  * Rebuild against new libpoppler64.

 -- Gianfranco Costamagna <email address hidden>  Thu, 05 Jan 2017 18:32:58 +0100
Superseded in zesty-release on 2017-01-08
Deleted in zesty-proposed on 2017-01-09 (Reason: moved to release)
libreoffice (1:5.2.2-0ubuntu3) zesty; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <email address hidden>  Mon, 07 Nov 2016 16:19:14 -0500
Superseded in xenial-updates on 2017-05-02
Superseded in xenial-security on 2017-05-02
libreoffice (1:5.1.6~rc2-0ubuntu1~xenial1) xenial; urgency=medium

  * new upstream rc

Superseded in yakkety-updates on 2017-05-02
Superseded in yakkety-updates on 2016-10-20
Superseded in zesty-release on 2016-12-09
Deleted in zesty-proposed on 2017-05-04 (Reason: moved to release)
Deleted in yakkety-proposed on 2017-05-04 (Reason: moved to -updates)
libreoffice (1:5.2.2-0ubuntu2) yakkety; urgency=medium

  * make notebook tab text readable w/ libreoffice-gtk3 (LP: #1527053)

 -- Bjoern Michaelsen <email address hidden>  Mon, 10 Oct 2016 19:46:56 +0200
Superseded in zesty-release on 2016-10-20
Published in yakkety-release on 2016-10-01
Deleted in yakkety-proposed (Reason: moved to release)
libreoffice (1:5.2.2-0ubuntu1) yakkety; urgency=medium

  * new upstream release
  * fix gcj version (thanks Rico)

 -- Bjoern Michaelsen <email address hidden>  Thu, 29 Sep 2016 22:01:18 +0200
Superseded in yakkety-release on 2016-10-01
Deleted in yakkety-proposed on 2016-10-03 (Reason: moved to release)
libreoffice (1:5.2.1~rc2-0ubuntu1) yakkety; urgency=medium

  * new upstream rc
  * disable cups for autopkgtests too
  * make libreoffice-gnome depend on -gtk3 by default
  * update gtk3 toolbar theming patch and re-enable it (LP: #1580537)
  * update gdrive auth details
  * kill packagekit var as did upstream and trigger on gio instead (as does upstream)
  * update C/R for liblosessioninstallerlo.so move

 -- Bjoern Michaelsen <email address hidden>  Fri, 02 Sep 2016 17:25:33 +0200
Superseded in yakkety-release on 2016-09-05
Deleted in yakkety-proposed on 2016-09-06 (Reason: moved to release)
libreoffice (1:5.2.0-0ubuntu2) yakkety; urgency=medium

  * rules: remove spurious comment (thanks Rico)
  * scripts/joinctrl.py: explicitly use python3
  * disable cups when running tests

 -- Bjoern Michaelsen <email address hidden>  Mon, 22 Aug 2016 22:21:54 +0200
Superseded in yakkety-proposed on 2016-08-23
libreoffice (1:5.2.0-0ubuntu1) yakkety; urgency=medium

  * add transitional for -gtk -> gtk2
  * disable mergedlibs on BSD, thanks Joe Boden (LP: #1598492)
  * cherry-picked from Debian:
    - debian/patches/make-package-modules-not-suck.diff: move animcore into
      DRAW (closes: #833181)

Superseded in precise-updates on 2017-02-23
Superseded in precise-security on 2017-02-23
libreoffice (1:3.5.7-0ubuntu12) precise-security; urgency=medium

  * SECURITY UPDATE: possible arbitrary code execution via out-of-bounds
    polygon array
    - debian/patches/poly-bounds.diff: check polygon array bounds
    - CVE-2016-1513

 -- Bjoern Michaelsen <email address hidden>  Wed, 27 Jul 2016 09:48:57 +0200

Available diffs

  • diff from 1:3.5.7-0ubuntu11 to 1:3.5.7-0ubuntu12 (pending)
Published in wily-updates on 2016-06-30
Published in wily-security on 2016-06-30
libreoffice (1:5.0.6-0ubuntu1) wily-security; urgency=medium

  * SECURITY UPDATE: Denial of service and possible arbitrary code execution
    via a crafted RTF file
    - CVE-2016-4324
  * new upstream release
  * fall back to SYSTEM_GCC_VERSION, when SYSTEM_GCJ_VERSION is empty
  * substitute xfonts-mathml with fonts-stix (lp: #1487148)
  * cherry-pick from Debian:
    - readd conflicts against openoffice-unbundled to libreoffice-common.
      openoffice*-debian-menus contains /usr/bin/soffice
  * fix gug language description (thanks Rene)
  * add build version for "About LibreOffice"
  * create profile defaulting to human style on unity (lp: #1508177)
  * reenable Ubuntu palette
  * handle integral translations
  * adjust kde integration for upstream cb37698884c6f7af97c5fa9a0404a5893aa73c9d

 -- Bjoern Michaelsen <email address hidden>  Fri, 24 Jun 2016 20:45:46 +0200
Superseded in xenial-updates on 2017-02-23
Superseded in xenial-security on 2017-02-23
libreoffice (1:5.1.4-0ubuntu1) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service and possible arbitrary code execution
    via a crafted RTF file
    - CVE-2016-4324
  * new upstream rc

 -- Bjoern Michaelsen <email address hidden>  Wed, 15 Jun 2016 17:19:25 +0200
Superseded in precise-updates on 2016-08-04
Superseded in precise-security on 2016-08-04
libreoffice (1:3.5.7-0ubuntu11) precise-security; urgency=low

  * SECURITY UPDATE: Denial of service and possible arbitrary code execution
    via a crafted RTF file
    - debian/patches/rtf-use-after-free.diff: Prevent rtf use-after-free
    - CVE-2016-4324

 -- Bjoern Michaelsen <email address hidden>  Fri, 24 Jun 2016 21:56:05 +0200
Superseded in yakkety-release on 2016-08-24
Deleted in yakkety-proposed on 2016-08-25 (Reason: moved to release)
libreoffice (1:5.1.3-0ubuntu4) yakkety; urgency=medium

  * use internal copy of mdds and orcus on yakkety for 5.1 series now

 -- Bjoern Michaelsen <email address hidden>  Tue, 24 May 2016 14:25:58 +0200
Superseded in yakkety-proposed on 2016-06-01
libreoffice (1:5.1.3-0ubuntu3) yakkety; urgency=medium

  * Fix libpng build dependency.

 -- Matthias Klose <email address hidden>  Sat, 21 May 2016 13:49:18 +0200
Superseded in yakkety-proposed on 2016-05-21
libreoffice (1:5.1.3-0ubuntu2) yakkety; urgency=medium

  * Upload to yakkety.

 -- Matthias Klose <email address hidden>  Sat, 21 May 2016 13:49:18 +0200
Superseded in xenial-updates on 2016-06-30
Deleted in xenial-proposed on 2016-07-01 (Reason: moved to -updates)
libreoffice (1:5.1.3-0ubuntu1) xenial; urgency=medium

  * new upstream bugfix release
  * fix crash with nullptr SdrObjList (LP: #1569500)
  * fix crash with ScCsvGrid living beyond VCL shutdown (LP: #1566050)
  * fix crash with non-empty BlendFrameCache in late VCL shutdown (LP: #1560328)

 -- Bjoern Michaelsen <email address hidden>  Thu, 12 May 2016 11:35:38 +0200
Superseded in yakkety-release on 2016-06-10
Deleted in yakkety-proposed on 2016-06-11 (Reason: moved to release)
libreoffice (1:5.1.2-0ubuntu3) yakkety; urgency=medium

  * (Build-)depend on libpng-dev.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 16:32:52 +0200
Superseded in yakkety-proposed on 2016-04-23
libreoffice (1:5.1.2-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <email address hidden>  Fri, 22 Apr 2016 22:57:08 +0000
Superseded in yakkety-release on 2016-04-26
Published in xenial-release on 2016-04-08
Deleted in xenial-proposed (Reason: moved to release)
libreoffice (1:5.1.2-0ubuntu1) xenial; urgency=medium

  * new upstream bugfix release
  * remove xmloff patch again for better upstream fix

 -- Bjoern Michaelsen <email address hidden>  Tue, 05 Apr 2016 14:29:17 +0200
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed on 2016-04-09 (Reason: moved to release)
libreoffice (1:5.1.1-0ubuntu3) xenial; urgency=medium

  * Fix build failure in xmloff.

 -- Matthias Klose <email address hidden>  Thu, 31 Mar 2016 18:33:49 +0200
Superseded in xenial-proposed on 2016-03-31
libreoffice (1:5.1.1-0ubuntu2) xenial; urgency=medium

  * libreoffice-subsequentcheckbase: Depend on default-jdk.

 -- Matthias Klose <email address hidden>  Thu, 31 Mar 2016 17:17:30 +0200
Superseded in xenial-release on 2016-04-01
Deleted in xenial-proposed on 2016-04-02 (Reason: moved to release)
libreoffice (1:5.1.1-0ubuntu1) xenial; urgency=medium

  * upstream released an rc3 = final
  * allow libreoffice-style-elementary as alternative for -breeze in libreoffice-gtk (LP: #1483914)
  * fix File>Templates>Manage executes wrong action in unity (LP: #1559135)

 -- Bjoern Michaelsen <email address hidden>  Fri, 18 Mar 2016 15:19:35 +0100
Superseded in xenial-release on 2016-03-21
Deleted in xenial-proposed on 2016-03-22 (Reason: moved to release)
libreoffice (1:5.1.1~rc2-0ubuntu1) xenial; urgency=medium

  * new upstream rc
  * update patches, remove upstreamed ones
  * reenable unity-default-breeze, which wasnt reenabled on 5.1 yet (LP: #1506544)
  * update Ubuntu palette, add main colors to standard palette (LP: #753627)

 -- Bjoern Michaelsen <email address hidden>  Mon, 29 Feb 2016 13:54:54 +0100
Superseded in xenial-release on 2016-03-14
Deleted in xenial-proposed on 2016-03-15 (Reason: moved to release)
libreoffice (1:5.1.0-0ubuntu1) xenial; urgency=medium

  * finalize version, rc3 = 5.1.0
  * depend on libreoffice-sdbc-hsqldb from libreoffice-subsequentcheckbase for
    autopkgtests
  * add libreoffice-style-elementary from upstream (LP: #1483914)
  * continue building libreoffice-gtk3, but dont default-deploy (yet)
  * use system ucpp instead of bundling (LP: #1524638)
  * add google drive bits (LP: #1389936)
  * update indic fonts package names (LP: #958345)

 -- Bjoern Michaelsen <email address hidden>  Sun, 21 Feb 2016 15:23:45 +0100
Superseded in wily-updates on 2016-06-30
Superseded in wily-security on 2016-06-30
libreoffice (1:5.0.5~rc2-0ubuntu2) wily-security; urgency=medium

  * adjust kde integration for upstream cb37698884c6f7af97c5fa9a0404a5893aa73c9d

Superseded in precise-updates on 2016-06-30
Superseded in precise-security on 2016-06-30
libreoffice (1:3.5.7-0ubuntu10) precise-security; urgency=medium

  * various lwp fixes

 -- Bjoern Michaelsen <email address hidden>  Fri, 12 Feb 2016 18:11:53 +0100
Superseded in trusty-updates on 2017-02-23
Superseded in trusty-security on 2017-02-23
libreoffice (1:4.2.8-0ubuntu4) trusty-security; urgency=medium

  * various lwp fixes

 -- Bjoern Michaelsen <email address hidden>  Tue, 09 Feb 2016 16:34:59 +0100
Superseded in xenial-release on 2016-02-23
Deleted in xenial-proposed on 2016-02-24 (Reason: moved to release)
libreoffice (1:5.1.0~rc3-0ubuntu2) xenial; urgency=medium

  * update autopkgtest runner patch, removing unhelpful build system deps for
    out-of-tree integration testing

 -- Bjoern Michaelsen <email address hidden>  Wed, 10 Feb 2016 18:30:45 +0100
Superseded in xenial-proposed on 2016-02-11
libreoffice (1:5.1.0~rc3-0ubuntu1) xenial; urgency=medium

  * bump to rc3
  * backport fix for ppc64el ftbfs

Superseded in xenial-release on 2016-02-16
Deleted in xenial-proposed on 2016-02-17 (Reason: moved to release)
libreoffice (1:5.0.2-0ubuntu8) xenial; urgency=medium

  * uno-libs: Create the libuno_* symlinks in the multiarch libdir.

 -- Matthias Klose <email address hidden>  Thu, 04 Feb 2016 21:45:36 +0100
Superseded in xenial-release on 2016-02-09
Deleted in xenial-proposed on 2016-02-10 (Reason: moved to release)
libreoffice (1:5.0.2-0ubuntu7) xenial; urgency=high

  * Rebuild against libpoppler57/s390x.

 -- Dimitri John Ledkov <email address hidden>  Wed, 09 Dec 2015 00:33:27 +0000
Superseded in xenial-proposed on 2015-12-09
libreoffice (1:5.0.2-0ubuntu6) xenial; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <email address hidden>  Thu, 03 Dec 2015 12:31:03 +0000
Superseded in xenial-release on 2015-12-25
Deleted in xenial-proposed on 2015-12-26 (Reason: moved to release)
libreoffice (1:5.0.2-0ubuntu5) xenial; urgency=medium

  * No-change rebuild against libglew1.13.

 -- Steve Langasek <email address hidden>  Thu, 12 Nov 2015 03:21:58 +0000
Superseded in precise-updates on 2016-02-16
Superseded in precise-security on 2016-02-16
libreoffice (1:3.5.7-0ubuntu9) precise-security; urgency=medium

  * Rebuild as security update

 -- Marc Deslauriers <email address hidden>  Mon, 02 Nov 2015 15:50:17 -0600
Superseded in trusty-updates on 2016-02-16
Superseded in trusty-security on 2016-02-16
libreoffice (1:4.2.8-0ubuntu3) trusty-security; urgency=medium

  * Rebuild as security update

 -- Marc Deslauriers <email address hidden>  Mon, 02 Nov 2015 15:07:30 -0600
Published in vivid-updates on 2015-11-05
Published in vivid-security on 2015-11-05
libreoffice (1:4.4.6~rc3-0ubuntu1) vivid-security; urgency=medium

  * new upstream rc

 -- Bjoern Michaelsen <email address hidden>  Wed, 28 Oct 2015 03:10:01 +0100
Superseded in xenial-proposed on 2015-11-12
libreoffice (1:5.0.2-0ubuntu4) xenial; urgency=medium

  * disable collada, gltf and coinmp on xenial
  * switch to breeze theme by default (lp: #1506544)

Superseded in xenial-release on 2015-11-13
Deleted in xenial-proposed on 2015-11-14 (Reason: moved to release)
libreoffice (1:5.0.2-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <email address hidden>  Fri, 23 Oct 2015 15:04:41 +0000
Superseded in xenial-release on 2015-10-27
Published in wily-release on 2015-10-04
Deleted in wily-proposed (Reason: moved to release)
libreoffice (1:5.0.2-0ubuntu1) wily; urgency=medium

  * new upstream release
  * removed upstreamed patches
  * cherry-picks from Debian:
    - update shlibs.override
    - bump gtk+ requirements
    - move liblibreofficekitgtk.so to -gtk

 -- Bjoern Michaelsen <email address hidden>  Thu, 01 Oct 2015 00:49:31 +0200
Superseded in wily-release on 2015-10-04
Deleted in wily-proposed on 2015-10-05 (Reason: moved to release)
libreoffice (1:5.0.1-0ubuntu2) wily; urgency=medium

  * Build for arm64 and ppc64el.
  * Build using system libraries for libcppunit, libetonyek, liborcus,
    libpagemaker, libwps and libcmis.  The internal copies are not updated
    for at least ppc64el.

 -- Matthias Klose <email address hidden>  Fri, 11 Sep 2015 17:22:56 +0200
Superseded in wily-release on 2015-09-12
Deleted in wily-proposed on 2015-09-13 (Reason: moved to release)
libreoffice (1:5.0.1-0ubuntu1) wily; urgency=medium

  * new final upstream release
  * changes vs. vivid:
    - use cpp-5 (thanks Rico)
    - use internal libwps, opencollada, collada2gltf, libcmis, cppunit

Superseded in wily-release on 2015-09-11
Deleted in wily-proposed on 2015-09-12 (Reason: moved to release)
libreoffice (1:4.4.4~rc3-0ubuntu2) wily; urgency=medium

  * No-change rebuild, follow-up for the libstdc++6 ABI transition.

 -- Matthias Klose <email address hidden>  Tue, 04 Aug 2015 23:57:41 +0200
Superseded in wily-release on 2015-08-16
Deleted in wily-proposed on 2015-08-18 (Reason: moved to release)
libreoffice (1:4.4.4~rc3-0ubuntu1) wily; urgency=medium

  * new upstream rc, includes hack to prevent crash on exit (LP: #1418551)
  * Fix mailmerge without libreoffice-base scenario

 -- Bjoern Michaelsen <email address hidden>  Mon, 06 Jul 2015 17:24:44 +0200
Superseded in wily-release on 2015-07-10
Deleted in wily-proposed on 2015-07-11 (Reason: moved to release)
libreoffice (1:4.4.2-0ubuntu3) wily; urgency=medium

   * Cherry-pick from Debian for wps 0.4
   * debian/patches/libwps-0.4.diff: backport from upstream; adapt for libwps
     0.4
   * debian/rules:
     - build-depend on libwps >= 0.4

 -- Iain Lane <email address hidden>  Tue, 23 Jun 2015 10:12:03 +0100
Superseded in precise-updates on 2015-11-05
Superseded in precise-security on 2015-11-05
libreoffice (1:3.5.7-0ubuntu8) precise-security; urgency=medium

  * add check in hwpfilter
  * prevent tdf#86449 crash
 -- Bjoern Michaelsen <email address hidden>   Tue, 21 Apr 2015 18:33:11 +0200
Superseded in trusty-updates on 2015-11-05
Superseded in trusty-security on 2015-11-05
libreoffice (1:4.2.8-0ubuntu2) trusty-security; urgency=medium

  * avoid null deref in EditEngine
  * add checks in hwpfilter
 -- Bjoern Michaelsen <email address hidden>   Tue, 07 Apr 2015 16:48:19 +0200
Obsolete in utopic-updates on 2016-11-03
Obsolete in utopic-security on 2016-11-03
libreoffice (1:4.3.7~rc2-0ubuntu1) utopic-security; urgency=medium

  * new upstream rc
 -- Bjoern Michaelsen <email address hidden>   Tue, 21 Apr 2015 09:41:13 +0100
Deleted in vivid-proposed on 2015-10-02 (Reason: no SRU verification)
libreoffice (1:4.4.2-0ubuntu2) vivid; urgency=medium

  * add missing Replaces: (LP: #1443667)
 -- Bjoern Michaelsen <email address hidden>   Wed, 22 Apr 2015 16:29:01 +0100
Superseded in wily-release on 2015-06-25
Published in vivid-release on 2015-04-11
Deleted in vivid-proposed (Reason: moved to release)
libreoffice (1:4.4.2-0ubuntu1) vivid; urgency=medium

  * new upstream release
  * Drop Recommends on obsolete ttf-punjabi-fonts package in favor of
    fonts-guru (thanks Steve Langasek)
 -- Bjoern Michaelsen <email address hidden>   Fri, 10 Apr 2015 10:53:42 +0200

Available diffs

Superseded in vivid-release on 2015-04-11
Deleted in vivid-proposed on 2015-04-12 (Reason: moved to release)
libreoffice (1:4.4.1-0ubuntu2) vivid; urgency=medium

  [ Bjoern Michaelsen ]
  * merge from Debian:
    - debian/control.ogltrans.in: capitalize "impress" in description
      (closes: #779479)
    - debian/rules: fix logic to not install sound files (closes: #780497)
  * remove obsolete patches
  * update Ubuntu palette

  [ Jonathan Riddell ]
  * Add kubuntu_breeze-icons.diff and breeze.tar.xz with breeze icons
    for Plasma 5 taken from LibreOffice master (LP: #1435764)
 -- Bjoern Michaelsen <email address hidden>   Fri, 27 Mar 2015 13:45:50 +0100
Superseded in vivid-release on 2015-03-30
Deleted in vivid-proposed on 2015-04-01 (Reason: moved to release)
libreoffice (1:4.4.1-0ubuntu1) vivid; urgency=medium

  * new upstream release, fixes printing bug (LP: #1419521)
  * adapt/kill ure-link for upstream changes (LP: #1419836)
 -- Bjoern Michaelsen <email address hidden>   Thu, 05 Mar 2015 19:28:08 +0100
Superseded in vivid-release on 2015-03-10
Deleted in vivid-proposed on 2015-03-11 (Reason: moved to release)
libreoffice (1:4.4.0-1ubuntu1) vivid; urgency=medium

  * merge from Debian
  * use system mwaw, now that 0.3.4-1 is synced to main (LP: #1410883)
  * reenable MERGELIBS
  * reenable complex tests
  * use cpp-4.9 for urd preprocessing

Superseded in vivid-release on 2015-02-11
Deleted in vivid-proposed on 2015-02-13 (Reason: moved to release)
libreoffice (1:4.4.0~rc2-0ubuntu3) vivid; urgency=medium

  * update autopkgtest patching
 -- Bjoern Michaelsen <email address hidden>   Wed, 28 Jan 2015 12:14:11 +0100
Superseded in vivid-release on 2015-01-30
Deleted in vivid-proposed on 2015-01-31 (Reason: moved to release)
libreoffice (1:4.4.0~rc2-0ubuntu2) vivid; urgency=medium

  * temporary remove arm64 and ppc64el for first 4.4 upload
 -- Bjoern Michaelsen <email address hidden>   Tue, 27 Jan 2015 15:45:15 +0100
Deleted in trusty-proposed on 2015-05-01 (Reason: moved to -updates)
libreoffice (1:4.2.8-0ubuntu1) trusty; urgency=medium

  * new upstream version, remove upstreamed patches
  * likely fixes (LP: #1372799)
 -- Bjoern Michaelsen <email address hidden>   Fri, 09 Jan 2015 19:45:44 +0100
Superseded in vivid-proposed on 2015-01-27
libreoffice (1:4.4.0~rc2-0ubuntu1) vivid; urgency=medium

  * new upstream rc
  * disable some broken tests
  * MIR and use system libabw, libe-book, libeot (LP: #1410966)
  * MIR and use system freehand, libodfgen (LP: #1410883)

Superseded in vivid-release on 2015-01-28
Deleted in vivid-proposed on 2015-01-30 (Reason: moved to release)
libreoffice (1:4.3.3-0ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler
 -- Iain Lane <email address hidden>   Wed, 21 Jan 2015 18:00:13 +0000
Superseded in trusty-updates on 2015-04-27
Deleted in trusty-proposed on 2015-05-01 (Reason: moved to -updates)
libreoffice (1:4.2.7-0ubuntu2) trusty; urgency=medium

  * backport search & replace w/ empty performance fix (LP: #1342175)
  * add additional backported upstream fixes for fdo#82936, fdo#85282,
    fdo#85215, fdo#83765, fdo#79441, fdo#86708 (LP: #1389858)
 -- Bjoern Michaelsen <email address hidden>   Wed, 26 Nov 2014 19:24:35 +0100
Superseded in vivid-release on 2015-01-22
Deleted in vivid-proposed on 2015-01-23 (Reason: moved to release)
libreoffice (1:4.3.3-0ubuntu2) vivid; urgency=medium

  * no change rebuild for poppler ABI change

Superseded in vivid-release on 2014-11-22
Deleted in vivid-proposed on 2014-11-23 (Reason: moved to release)
libreoffice (1:4.3.2-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for new poppler
 -- Iain Lane <email address hidden>   Wed, 12 Nov 2014 16:59:24 +0000
Superseded in precise-updates on 2015-04-27
Superseded in precise-security on 2015-04-27
libreoffice (1:3.5.7-0ubuntu7) precise-security; urgency=medium

  * SECURITY UPDATE: fix OLE objects (LP: #1380711)
    - CVE-2014-3575
  * disable external mozilla header to fix FTBFS
 -- Bjoern Michaelsen <email address hidden>   Wed, 22 Oct 2014 16:11:30 +0200
Superseded in utopic-updates on 2015-04-27
Superseded in utopic-security on 2015-04-27
libreoffice (1:4.3.3-0ubuntu1) utopic-security; urgency=medium

  * new upstream release
 -- Bjoern Michaelsen <email address hidden>   Tue, 04 Nov 2014 16:36:09 +0100
Superseded in trusty-updates on 2014-12-11
Superseded in trusty-security on 2015-04-27
libreoffice (1:4.2.7-0ubuntu1) trusty-security; urgency=medium

  * new upstream release
  * add patches to preserve the default Calc sorting behaviour of the 4.2/4.3 series,
    a big thank you to Kohei, Eike, Michael, Muthu, Andras for the backporting
    after upstream EOL
 -- Bjoern Michaelsen <email address hidden>   Tue, 04 Nov 2014 15:34:25 +0100
175 of 187 results